'BENCHM.BAS 
'Funktion: Benchmark fr BASICs, CPUs und FPUs
'Autor   : Robert Seidel rseidel@ifk.uni-jena.de

'Datentypen (der Rest SINGLE !)
  DIM i     AS INTEGER
  DIM col   AS INTEGER
  DIM anz   AS INTEGER
  DIM speed AS INTEGER

'Auswahl des IFS-Files
  IFSName$ = "FARN"

'Einlesen der IFS-Daten
OPEN IFSName$ + ".IFS" FOR INPUT AS #1
  INPUT #1 , IFSName$ 'Name des Objektes
  INPUT #1 , anz      'Anzahl

  'Arrays fr die Tabelle
  DIM a(anz) , b(anz) , c(anz) , d(anz) , e(anz) , f(anz) , p(anz)

  'Laden der IFS-Tabelle
  FOR i = 1 TO anz
    INPUT #1 , a(i) , b(i) , c(i) , d(i) , e(i) , f(i) , p(i)
    p(i) = p(i) + p(i - 1) 'bei Angaben mit letztem "p = 1" entfernen
  NEXT

SCREEN 12
'Lesen und Setzen der Fensterwerte
INPUT #1 ,x1 , y1 , x2 , y2
WINDOW   (x1 , y1)-(x2 , y2)
PRINT "IFS-Generator von Robert Seidel 1995     Bild: " + IFSName$

t = TIMER
  FOR speed = 1 TO 32750
    zuf = RND
    FOR i = 1 TO anz
      IF zuf <= p(i) THEN EXIT FOR
    NEXT

    'Matrix in Koordinatendarstellung
    x = a(i) * xalt + b(i) * yalt + e(i)
    y = c(i) * xalt + d(i) * yalt + f(i)

    'mgliche Frbung des IFS-Bildes
    '(kann nach Belieben gendert werden)
    col = 15
    'col = RND * 16
    'col = i
    PSET (x , y ) , col

    xalt = x
    yalt = y
  NEXT
PRINT TIMER - t

'Pause
WHILE INKEY$ = ""
WEND